Bug 818325 - openvpn will no longer work through NetworkManager
openvpn will no longer work through NetworkManager
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 15:13 EDT by Kenny Armstrong
Modified: 2013-07-04 03:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 03:31:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenny Armstrong 2012-05-02 15:13:58 EDT
Description of problem:
openvpn will no longer work through NetworkManager.  Worked fine in Fedora 16

Version-Release number of selected component (if applicable):
kde-plasma-networkmanagement-openvpn-0.9.0.1-1.fc17.x86_64
NetworkManager-openvpn-0.9.3.997-1.fc17.x86_64
openvpn-2.2.2-4.fc17.x86_64


How reproducible:
Import an openvpn configuration and try to connect.

Steps to Reproduce:
1.  import an openvpn configuration into your /etc/openvpn directory
2.  through NetworkManager, try to connect to it
3.  connection fails
  
Actual results:
connection fails, never gets established

Expected results:
and OpenVPN connection should be established

Additional info:
I had no problems with this under Fedora 16, using the same configuration.  The only way I can get the OpenVPN connection to work is by running it from the command line.
Comment 1 Kenny Armstrong 2012-05-02 15:15:35 EDT
I meant to say that the only way to get openvpn to work from the command line is if it is run by the root user, not any regular user.
Comment 2 David Sommerseth 2012-05-03 05:29:21 EDT
(In reply to comment #1)
> I meant to say that the only way to get openvpn to work from the command line
> is if it is run by the root user, not any regular user.

Based on this, which is the expected behaviour, it sounds like an issue with NetworkManager-openvpn, which is the part which is responsible to start OpenVPN with the proper privileges.

Moving from component openvpn -> NetworkManager-openvpn
Comment 3 Orion Poplawski 2012-12-19 18:44:59 EST
FWIW - We're using NM-openvpn with KDE extensively here on F17 with no problems.

We've had to make sure that the certs are in ~/.certs and that that directory is labeled correctly (restorecon -r -v ~/.certs) for it to work in enforcing mode.
Comment 4 Fedora End Of Life 2013-07-03 17:59:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 David Sommerseth 2013-07-04 03:31:12 EDT
Based on comment #3, closing this as NOTABUG

Note You need to log in before you can comment on or make changes to this bug.